/* 
Theme Name: Württemberger Medien
Theme URI: https://github.com/elementor/hello-theme/
Description: Württemberger Medien Elementor Child Theme
Author: Württemberger Medien
Author URI: https://w-medien.de/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
:root {  

    --space-4xs: clamp(0.37rem, calc(-0.18vw + 0.41rem), 0.25rem);
    --space-3xs: clamp(0.46rem, calc(-0.13vw + 0.49rem), 0.37rem);
    --space-2xs: clamp(0.58rem, calc(-0.03vw + 0.58rem), 0.56rem);
    --space-xs: clamp(0.72rem, calc(0.17vw + 0.69rem), 0.83rem);
    --space-s: clamp(0.9rem, calc(0.52vw + 0.8rem), 1.25rem);
    --space-m: clamp(1.13rem, calc(1.11vw + 0.9rem), 1.88rem);
    --space-l: clamp(1.41rem, calc(2.08vw + 0.99rem), 2.81rem);
    --space-xl: clamp(1.76rem, calc(3.65vw + 1.03rem), 4.22rem);
    --space-2xl: clamp(2.2rem, calc(6.12vw + 0.97rem), 6.33rem);
    --space-3xl: clamp(2.75rem, calc(9.99vw + 0.75rem), 9.49rem);
    --space-4xl: clamp(3.43rem, calc(16.01vw + 0.23rem), 14.24rem);

    --text-xs: clamp(0.64rem, calc(-0.21vw + 0.68rem), 0.5rem);
    --text-s: clamp(0.8rem, calc(-0.07vw + 0.81rem), 0.75rem);
    --text-m: clamp(1rem, calc(0.19vw + 0.96rem), 1.13rem);
    --text-l: clamp(1.25rem, calc(0.65vw + 1.12rem), 1.69rem);
    --text-xl: clamp(1.56rem, calc(1.44vw + 1.28rem), 2.53rem);
    --text-2xl: clamp(1.95rem, calc(2.73vw + 1.41rem), 3.8rem);
    --text-3xl: clamp(2.44rem, calc(4.82vw + 1.48rem), 5.7rem);
    --text-4xl: clamp(3.05rem, calc(8.14vw + 1.43rem), 8.54rem);

}

/*-----------Header-----------------*/

.header {
  position: fixed;
  background-color: white;
  top: 0;
  left: 0;
  right: 0;
  transition: transform 0.4s ease-in-out;
}

.hide-header {
  transform: translateY(-100%);
}

/*------------Sticky To-Top-Icon-------------*/
#iconUp {
	display: none;
	cursor: pointer;
}

/*------------Headline Balance Umbruch-------------*/
h1, h2, h3{
	text-wrap: balance;
}

/*------------Ungewünschter Abstand bei Texten raus-------------*/
p {
  margin-block-end: 0.0rem;!important /* oder ein kleiner Wert wie 5px */
}	
	
/*------------Tabellarische Öffnungszeiten-------------*/
table.opening-hours {
    width: 100%;
    border-collapse: collapse;
    border: none;
    background: transparent;
}

/* Alle Zellen */
table.opening-hours,
table.opening-hours tr,
table.opening-hours th,
table.opening-hours td {
    border: none !important;
    background: transparent !important;
    box-shadow: none !important;
}

/* Kein Hover, kein Fokus */
table.opening-hours tr:hover,
table.opening-hours th:hover,
table.opening-hours td:hover {
    background: transparent !important;
}

/* Spalten sauber ausrichten */
table.opening-hours th {
    text-align: left;
    font-weight: 600; /* oder normal */
    padding: 0 1rem 0.25rem 0;
    white-space: nowrap;
}

table.opening-hours td {
    text-align: left;
    padding: 0 0 0.25rem 0;
}

/* Optional: etwas Abstand zwischen den Zeilen */
table.opening-hours tr {
    line-height: 1.6;
}


.elementor-element.elementor-element-5f43565.elementor-widget.elementor-widget-shortcode {
	1.     width: 100%;
}
.skip-link, .skip-content {
    display: none !important;
}